<script>
  import { json } from "d3-fetch";
  import { onMount } from "svelte";

  import Controls from "./_ex_3_controls.svelte";
  import Scatterplot from "./_ex_3_scatterplot.svelte";

  // Load the data
  let year = 0;
  let value = "all";
  let data = null;
  let paused = true;
  let loop;
  onMount(async () => {
    data = await json("/data/gapminder.json");
  });

  // Function that filters the data
  function filterData(data,year,value){
    data = data[year]['countries'];
    if(value != "all"){
      data = data.filter( element => element.continent == value);
    }
    return data;
  }
</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <div>
    <Scatterplot data={filterData(data,year,value)} />
    <Controls {data} bind:year bind:value bind:paused bind:loop/>
  </div>
{/if}
